View Issue Details

IDProjectCategoryView StatusLast Update
0005879GNUnetTCP transportpublic2020-11-14 09:57
Reporternikita Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version0.14.0 
Summary0005879: gnunet-communicator-tcp build: uninitialized warning
Description  CC gnunet-communicator-tcp.o
gnunet-communicator-tcp.c:1008:39: warning: variable 'left' is uninitialized when used here [-Wuninitialized]
        GNUNET_SCHEDULER_add_read_net(left, queue->sock, &queue_read, queue);
                                                                     ^~~~
gnunet-communicator-tcp.c:991:3: note: variable 'left' is declared here
  struct GNUNET_TIME_Relative left;
  ^
1 warning generated.
TagsNo tags attached.

Activities

schanzen

2020-10-29 11:18

manager   ~0017055

Fixed long time ago

schanzen

2020-11-14 09:57

manager   ~0017134

0.14.0 released

Issue History

Date Modified Username Field Change
2019-09-09 12:33 nikita New Issue
2020-10-29 11:18 schanzen Assigned To => schanzen
2020-10-29 11:18 schanzen Status new => resolved
2020-10-29 11:18 schanzen Resolution open => fixed
2020-10-29 11:18 schanzen Fixed in Version => 0.14.0
2020-10-29 11:18 schanzen Note Added: 0017055
2020-11-14 09:57 schanzen Note Added: 0017134
2020-11-14 09:57 schanzen Status resolved => closed